[[,adv-method {oce} | R Documentation

## Extract Something From an adv Object

### Description

In addition to the usual extraction of elements by name, some shortcuts are also provided, e.g. `u1` retrieves `v[,1]`, and similarly for the other velocity components. The `a` and `q` data can be retrived in `raw` form or numeric form; see examples.

### Usage

    ## S4 method for signature 'adv'
    x[[i, j, ...]]

### Arguments

`x` | An adv object, i.e. one inheriting from `adv-class`.
`i` | The item to extract.
`j` | Optional additional information on the `i` item.
`...` | Optional additional information (ignored).

### Examples

    data(adv)
    head(adv[["q"]])            # in raw form
    head(adv[["q", "numeric"]]) # in numeric form

[Package oce version 0.9-18 Index]